## mbox-importer 21.12.3

=== CMakeLists.txt ===
set(PIM_VERSION "5.19.3")
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
project(mbox-importer VERSION ${PIM_VERSION})

set(KF5_MIN_VERSION "5.87.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)


include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)


# Do NOT add quote
set(KDEPIM_DEV_VERSION)
set(RELEASE_SERVICE_VERSION "21.12.3")
# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(AKONADI_VERSION "5.19.3")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "5")

set(QT_REQUIRED_VERSION "5.15.2")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Gui Widgets)
set(LIBMAILIMPORTER_VERSION "5.19.3")
set(MAILCOMMON_LIB_VERSION "5.19.3")
set(PIMCOMMON_LIB_VERSION "5.19.3")

# Find KF5 package
find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Service ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Crash ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} REQUIRED)


# Find KdepimLibs Package
find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)

find_package(KF5MailCommon ${MAILCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailImporterAkonadi ${LIBMAILIMPORTER_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
include_directories(${mbox-importer_SOURCE_DIR} ${mbox-importer_BINARY_DIR})

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()
add_subdirectory(src)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
mbox-importer (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:19:25 +0000

mbox-importer (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update debian/watch
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:25:59 +0000

mbox-importer (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:33:49 +0000

mbox-importer (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:30:52 +0000

mbox-importer (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:26:13 +0000

mbox-importer (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 23:32:33 +0000

mbox-importer (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:48:26 +0000

=== debian/control ===
Source: mbox-importer
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.1~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.39.0~),
               libkf5akonadi-dev (>= 4:21.12.3~),
               libkf5config-dev (>= 5.39.0~),
               libkf5crash-dev (>= 5.39.0~),
               libkf5grantleetheme-dev (>= 21.12.3~),
               libkf5kio-dev (>= 5.39.0~),
               libkf5mailcommon-dev (>= 4:21.12.3~),
               libkf5mailimporter-dev (>= 4:21.12.3~),
               libkf5messagecomposer-dev (>= 4:21.12.3~),
               libkf5pimcommon-dev (>= 4:21.12.3~),
               libkf5service-dev (>= 5.39.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.8.0~),
Standards-Version: 4.1.3
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mbox-importer
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mbox-importer

Package: mbox-importer
Section: utils
Architecture: any
Depends: kinit, kio, ${misc:Depends}, ${shlibs:Depends}
Replaces: kmail (<< 4:16.11), ${kde-l10n:all}
Breaks: kmail (<< 4:16.11), ${kde-l10n:all}
Description: MBox email archive importer
 mbox-importer is a wizard to assist with importing MBox email archives into
 Akonadi

## mbox-importer 22.08.1

=== debian/changelog ===
mbox-importer (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:48:29 +0100

mbox-importer (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Update build depends.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:57:38 +0100

mbox-importer (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:35:44 +0100

mbox-importer (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:10:25 +0100

mbox-importer (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:09:41 +0100

mbox-importer (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:56:56 +0100

=== debian/control ===
--- 
+++ 
@@ -12,16 +12,18 @@
 Build-Depends: cmake (>= 3.1~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.39.0~),
-               libkf5akonadi-dev (>= 4:21.12.3~),
+               libkf5akonadi-dev (>= 4:22.08.1~),
                libkf5config-dev (>= 5.39.0~),
                libkf5crash-dev (>= 5.39.0~),
-               libkf5grantleetheme-dev (>= 21.12.3~),
+               libkf5grantleetheme-dev (>= 22.08.1~),
                libkf5kio-dev (>= 5.39.0~),
-               libkf5mailcommon-dev (>= 4:21.12.3~),
-               libkf5mailimporter-dev (>= 4:21.12.3~),
-               libkf5messagecomposer-dev (>= 4:21.12.3~),
-               libkf5pimcommon-dev (>= 4:21.12.3~),
+               libkf5mailcommon-dev (>= 4:22.08.1~),
+               libkf5mailimporter-dev (>= 4:22.08.1~),
+               libkf5messagecomposer-dev (>= 4:22.08.1~),
+               libkf5pimcommon-dev (>= 4:22.08.1~),
                libkf5service-dev (>= 5.39.0~),
+               libkf5templateparser-dev (>= 4:22.08.1~),
+               libkf5webengineviewer-dev (>= 4:22.08.1~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.8.0~),

## mbox-importer 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-set(PIM_VERSION "5.19.3")
+set(PIM_VERSION "5.22.3")
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 project(mbox-importer VERSION ${PIM_VERSION})
 
-set(KF5_MIN_VERSION "5.87.0")
+set(KF5_MIN_VERSION "5.99.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -27,11 +27,12 @@
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMAddAppIcon)
 include(ECMQtDeclareLoggingCategory)
+include(ECMDeprecationSettings)
 
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
-set(RELEASE_SERVICE_VERSION "21.12.3")
+set(KDEPIM_DEV_VERSION )
+set(RELEASE_SERVICE_VERSION "22.12.3")
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
@@ -39,16 +40,19 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(AKONADI_VERSION "5.19.3")
+set(AKONADI_VERSION "5.22.3")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "5")
 
 set(QT_REQUIRED_VERSION "5.15.2")
-find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Gui Widgets)
-set(LIBMAILIMPORTER_VERSION "5.19.3")
-set(MAILCOMMON_LIB_VERSION "5.19.3")
-set(PIMCOMMON_LIB_VERSION "5.19.3")
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(QT_REQUIRED_VERSION "6.4.0")
+endif()
+find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Gui Widgets)
+set(LIBMAILIMPORTER_VERSION "5.22.3")
+set(MAILCOMMON_LIB_VERSION "5.22.3")
+set(PIMCOMMON_LIB_VERSION "5.22.3")
 
 # Find KF5 package
 find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
@@ -65,8 +69,8 @@
 find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
 include_directories(${mbox-importer_SOURCE_DIR} ${mbox-importer_BINARY_DIR})
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800)
+ecm_set_disabled_deprecation_versions(QT 5.15.2 KF 5.99.0)
+
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== src/CMakeLists.txt ===
configure_file(mboximporter-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/mboximporter-version.h @ONLY)

set(mboximporter_SRCS
    main.cpp
    mboxmainwindow.cpp
    mboximporterinfogui.cpp
    mboximportwidget.cpp
    mboximportkernel.cpp
    mboxmainwindow.h
    mboximporterinfogui.h
    mboximportwidget.h
    mboximportkernel.h
    )

ki18n_wrap_ui(mboximporter_SRCS
    ui/mboximportwidget.ui
    )

add_executable(mboximporter ${mboximporter_SRCS})
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(mboximporter PROPERTIES UNITY_BUILD ON)
endif()
target_link_libraries(mboximporter
    PRIVATE
    KF5::AkonadiCore
    KF5::IdentityManagement
    KF5::MailImporterAkonadi
    KF5::MailCommon
    KF5::I18n
    KF5::Crash
    )

install(TARGETS mboximporter  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

install(PROGRAMS org.kde.mboximporter.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== debian/changelog ===
mbox-importer (4:22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:33:53 +0100

mbox-importer (4:22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:28:33 +0100

mbox-importer (4:22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:36:35 +0100

mbox-importer (4:22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:07:04 +0100

mbox-importer (4:22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:55:58 +0100

mbox-importer (4:22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:13:55 +0200

mbox-importer (4:22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:12:17 +0200

mbox-importer (4:22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Bump Standards-Version to 4.6.1 (No changes needed).
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:47:57 +0200

mbox-importer (4:22.04.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Jul 2022 21:59:35 +0200

mbox-importer (4:22.04.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 22:04:43 +0200

mbox-importer (4:22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 02:48:59 +0200

mbox-importer (4:22.04.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 26 May 2022 21:02:44 +0200

mbox-importer (4:21.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Apr 2022 22:12:01 +0200

mbox-importer (4:21.12.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (21.12.3).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Mar 2022 23:36:09 +0100

mbox-importer (4:21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Sat, 11 Sep 2021 07:27:31 +0900

mbox-importer (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:39:15 +0900

mbox-importer (4:21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:42:03 +0900

mbox-importer (4:21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 06:16:13 +0900

mbox-importer (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Thu, 13 May 2021 09:47:14 +0900

=== debian/control ===
Source: mbox-importer
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.99.0~),
               libgrantlee5-dev (>= 5.2~),
               libkf5akonadi-dev (>= 4:22.12.3~),
               libkf5config-dev (>= 5.99.0~),
               libkf5crash-dev (>= 5.99.0~),
               libkf5kio-dev (>= 5.99.0~),
               libkf5mailcommon-dev (>= 4:22.12.3~),
               libkf5mailimporter-dev (>= 4:22.12.3~),
               libkf5pimcommon-dev (>= 4:22.12.3~),
               libkf5service-dev (>= 5.99.0~),
               libkf5templateparser-dev (>= 4:22.12.3~),
               libkf5webengineviewer-dev (>= 4:22.12.3~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/mbox-importer
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mbox-importer
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mbox-importer.git
Rules-Requires-Root: no

Package: mbox-importer
Section: utils
Architecture: any
Depends: kinit, kio, ${misc:Depends}, ${shlibs:Depends},
Description: MBox email archive importer
 mbox-importer is a wizard to assist with importing MBox email archives into
 Akonadi

## mbox-importer 23.08.1

=== debian/changelog ===
mbox-importer (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:06:50 +0100

mbox-importer (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:01:51 +0100

mbox-importer (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:41:16 +0100

mbox-importer (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:57:42 +0100

mbox-importer (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Add libkf5textaddons-dev to Build-Depends
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 13:01:16 +0100

mbox-importer (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:46:07 +0000

mbox-importer (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:29:51 -0600

mbox-importer (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:27:47 +0000

mbox-importer (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:17:59 +0000

mbox-importer (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:14:09 +0000

mbox-importer (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:41:11 +0000

mbox-importer (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:16:53 +0000

=== debian/control ===
Source: mbox-importer
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.1~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.39.0~),
               libkf5akonadi-dev (>= 4:23.08.1~),
               libkf5config-dev (>= 5.39.0~),
               libkf5crash-dev (>= 5.39.0~),
               libkf5grantleetheme-dev (>= 23.08.1~),
               libkf5kio-dev (>= 5.39.0~),
               libkf5mailcommon-dev (>= 4:23.08.1~),
               libkf5mailimporter-dev (>= 4:23.08.1~),
               libkf5messagecomposer-dev (>= 4:23.08.1~),
               libkf5pimcommon-dev (>= 4:23.08.1~),
               libkf5service-dev (>= 5.39.0~),
               libkf5templateparser-dev (>= 4:23.08.1~),
               libkf5textaddons-dev,
               libkf5webengineviewer-dev (>= 4:23.08.1~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.8.0~),
Standards-Version: 4.1.3
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mbox-importer
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mbox-importer

Package: mbox-importer
Section: utils
Architecture: any
Depends: kinit, kio, ${misc:Depends}, ${shlibs:Depends}
Replaces: kmail (<< 4:16.11), ${kde-l10n:all}
Breaks: kmail (<< 4:16.11), ${kde-l10n:all}
Description: MBox email archive importer
 mbox-importer is a wizard to assist with importing MBox email archives into
 Akonadi

## mbox-importer 23.08.5

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -22,12 +22,12 @@
 endif()
 target_link_libraries(mboximporter
     PRIVATE
-    KF5::AkonadiCore
-    KF5::IdentityManagement
-    KF5::MailImporterAkonadi
-    KF5::MailCommon
-    KF5::I18n
-    KF5::Crash
+    KPim${KF_MAJOR_VERSION}::AkonadiCore
+    KPim${KF_MAJOR_VERSION}::IdentityManagement
+    KPim${KF_MAJOR_VERSION}::MailImporterAkonadi
+    KPim${KF_MAJOR_VERSION}::MailCommon
+    KF${KF_MAJOR_VERSION}::I18n
+    KF${KF_MAJOR_VERSION}::Crash
     )
 
 install(TARGETS mboximporter  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

=== debian/changelog ===
mbox-importer (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:51:39 +1100

mbox-importer (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:54:12 +0000

mbox-importer (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:27:48 -0700

mbox-importer (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:23:03 +0000

mbox-importer (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:43:33 +0000

mbox-importer (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:39:40 +0100

=== debian/control ===
--- 
+++ 
@@ -12,19 +12,19 @@
 Build-Depends: cmake (>= 3.1~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.39.0~),
-               libkf5akonadi-dev (>= 4:23.08.1~),
+               libkf5akonadi-dev (>= 4:23.08.5~),
                libkf5config-dev (>= 5.39.0~),
                libkf5crash-dev (>= 5.39.0~),
-               libkf5grantleetheme-dev (>= 23.08.1~),
+               libkf5grantleetheme-dev (>= 23.08.5~),
                libkf5kio-dev (>= 5.39.0~),
-               libkf5mailcommon-dev (>= 4:23.08.1~),
-               libkf5mailimporter-dev (>= 4:23.08.1~),
-               libkf5messagecomposer-dev (>= 4:23.08.1~),
-               libkf5pimcommon-dev (>= 4:23.08.1~),
+               libkf5mailcommon-dev (>= 4:23.08.5~),
+               libkf5mailimporter-dev (>= 4:23.08.5~),
+               libkf5messagecomposer-dev (>= 4:23.08.5~),
+               libkf5pimcommon-dev (>= 4:23.08.5~),
                libkf5service-dev (>= 5.39.0~),
-               libkf5templateparser-dev (>= 4:23.08.1~),
+               libkf5templateparser-dev (>= 4:23.08.5~),
                libkf5textaddons-dev,
-               libkf5webengineviewer-dev (>= 4:23.08.1~),
+               libkf5webengineviewer-dev (>= 4:23.08.5~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.8.0~),

## mbox-importer 24.08.2

=== debian/changelog ===
mbox-importer (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 31 Oct 2024 18:15:03 -0500

mbox-importer (4:24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:05:16 +0200

mbox-importer (4:24.08.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Limit the build to architectutes where mailcommon is available.

 -- Patrick Franz <deltaone@debian.org>  Wed, 02 Oct 2024 23:49:58 +0200

mbox-importer (4:24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sun, 15 Sep 2024 15:41:57 +0200

=== debian/control ===
Source: mbox-importer
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               libakonadi-dev (>= 4:24.08.2~),
               libkf6config-dev (>= 6.3.0~),
               libkf6crash-dev (>= 6.3.0~),
               libkf6iconthemes-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6service-dev (>= 6.3.0~),
               libkidentitymanagement-dev (>= 24.08.2~),
               libmailcommon-dev (>= 4:24.08.2~),
               libmailimporter-dev (>= 4:24.08.2~),
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/mbox-importer
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mbox-importer
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mbox-importer
Rules-Requires-Root: no

Package: mbox-importer
Section: utils
Architecture: amd64 arm64 armhf i386
Depends: kio6, ${misc:Depends}, ${shlibs:Depends},
Description: MBox email archive importer
 mbox-importer is a wizard to assist with importing MBox email archives into
 Akonadi

## mbox-importer 24.12.0

=== debian/changelog ===
mbox-importer (4:24.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:54:24 +0100

mbox-importer (4:24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:39:26 +0100

=== debian/control ===
Source: mbox-importer
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               libakonadi-dev (>= 4:24.12.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6service-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 24.12.0~),
               libmailcommon-dev (>= 4:24.12.0~),
               libmailimporter-dev (>= 4:24.12.0~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/mbox-importer
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mbox-importer
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mbox-importer.git
Rules-Requires-Root: no

Package: mbox-importer
Section: utils
Architecture: amd64 arm64 armhf i386
Depends: kio6, ${misc:Depends}, ${shlibs:Depends},
Description: MBox email archive importer
 mbox-importer is a wizard to assist with importing MBox email archives into
 Akonadi

## mbox-importer 24.12.2

=== debian/changelog ===
mbox-importer (4:24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 00:08:40 +0100

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,19 @@
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:24.12.0~),
+               libakonadi-dev (>= 4:24.12.2~),
                libkf6config-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6service-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.0~),
-               libmailcommon-dev (>= 4:24.12.0~),
-               libmailimporter-dev (>= 4:24.12.0~),
+               libkidentitymanagement-dev (>= 24.12.2~),
+               libmailcommon-dev (>= 4:24.12.2~),
+               libmailimporter-dev (>= 4:24.12.2~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
 Standards-Version: 4.7.0

## mbox-importer 24.12.3

=== CMakeLists.txt ===
set(PIM_VERSION "6.3.3")
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
project(mbox-importer VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.6.0")
set(QT_REQUIRED_VERSION "6.7.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)


include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)

include(ECMCheckOutboundLicense)
file(GLOB_RECURSE ALL_SOURCE_FILES
src/*.cpp
src/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})


# Do NOT add quote
set(KDEPIM_DEV_VERSION )
set(RELEASE_SERVICE_VERSION "24.12.3")
# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(AKONADI_VERSION "6.3.3")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Gui Widgets)
set(LIBMAILIMPORTER_VERSION "6.3.3")
set(MAILCOMMON_LIB_VERSION "6.3.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.3.3")

# Find KF6 package
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Service ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} QUIET)

# Find KdepimLibs Package
find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)

find_package(KPim6MailCommon ${MAILCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailImporterAkonadi ${LIBMAILIMPORTER_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)

include_directories(${mbox-importer_SOURCE_DIR} ${mbox-importer_BINARY_DIR})

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.8.0)


option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()
add_subdirectory(src)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
mbox-importer (4:24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:50:46 +0100

=== debian/control ===
--- 
+++ 
@@ -10,18 +10,18 @@
                dh-sequence-kf6,
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:24.12.2~),
+               libakonadi-dev (>= 4:24.12.3~),
                libkf6config-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6service-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.2~),
-               libmailcommon-dev (>= 4:24.12.2~),
-               libmailimporter-dev (>= 4:24.12.2~),
+               libkidentitymanagement-dev (>= 24.12.3~),
+               libmailcommon-dev (>= 4:24.12.3~),
+               libmailimporter-dev (>= 4:24.12.3~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/mbox-importer
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mbox-importer
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mbox-importer.git

## mbox-importer 25.07.80

=== debian/changelog ===
mbox-importer (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:45:14 +0100

mbox-importer (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:56:30 +0100

mbox-importer (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:01:43 +0100

mbox-importer (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:18:27 +0100

mbox-importer (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:04:03 +0100

mbox-importer (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:32 -0500

=== debian/control ===
Source: mbox-importer
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               libakonadi-dev (>= 4:25.07.80~),
               libkf6config-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6service-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.07.80~),
               libmailcommon-dev (>= 4:25.07.80~),
               libmailimporter-dev (>= 4:25.07.80~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/mbox-importer
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mbox-importer
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mbox-importer
Rules-Requires-Root: no

Package: mbox-importer
Section: utils
Architecture: amd64 arm64 armhf i386
Depends: kio6, ${misc:Depends}, ${shlibs:Depends},
Description: MBox email archive importer
 mbox-importer is a wizard to assist with importing MBox email archives into
 Akonadi

## mbox-importer 25.07.90

=== debian/changelog ===
mbox-importer (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:01:29 +0100

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.07.80~),
+               libakonadi-dev (>= 4:25.07.90~),
                libkf6config-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6service-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.07.80~),
-               libmailcommon-dev (>= 4:25.07.80~),
-               libmailimporter-dev (>= 4:25.07.80~),
+               libkidentitymanagement-dev (>= 25.07.90~),
+               libmailcommon-dev (>= 4:25.07.90~),
+               libmailimporter-dev (>= 4:25.07.90~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
 Standards-Version: 4.7.0

## mbox-importer 25.08.0

=== debian/changelog ===
mbox-importer (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:59:59 +0100

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.07.90~),
+               libakonadi-dev (>= 4:25.08.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6service-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.07.90~),
-               libmailcommon-dev (>= 4:25.07.90~),
-               libmailimporter-dev (>= 4:25.07.90~),
+               libkidentitymanagement-dev (>= 25.08.0~),
+               libmailcommon-dev (>= 4:25.08.0~),
+               libmailimporter-dev (>= 4:25.08.0~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
 Standards-Version: 4.7.0

## mbox-importer 25.08.1

=== CMakeLists.txt ===
set(PIM_VERSION "6.5.1")
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
project(mbox-importer VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)

include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
)

set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)

include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

# Do NOT add quote
set(KDEPIM_DEV_VERSION)
set(RELEASE_SERVICE_VERSION "25.08.1")
# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(AKONADI_VERSION "6.5.1")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        Gui
        Widgets
)
set(LIBMAILIMPORTER_VERSION "6.5.1")
set(MAILCOMMON_LIB_VERSION "6.5.1")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.1")

# Find KF6 package
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Service ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} QUIET)

# Find KdepimLibs Package
find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)

find_package(KPim6MailCommon ${MAILCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailImporterAkonadi ${LIBMAILIMPORTER_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)

include_directories(
    ${mbox-importer_SOURCE_DIR}
    ${mbox-importer_BINARY_DIR}
)

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()
add_subdirectory(src)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
mbox-importer (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:13:21 +0100

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.08.0~),
+               libakonadi-dev (>= 4:25.08.1~),
                libkf6config-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6service-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.08.0~),
-               libmailcommon-dev (>= 4:25.08.0~),
-               libmailimporter-dev (>= 4:25.08.0~),
+               libkidentitymanagement-dev (>= 25.08.1~),
+               libmailcommon-dev (>= 4:25.08.1~),
+               libmailimporter-dev (>= 4:25.08.1~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
 Standards-Version: 4.7.0

## mbox-importer 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set(PIM_VERSION "6.5.1")
+set(PIM_VERSION "6.5.2")
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 project(mbox-importer VERSION ${PIM_VERSION})
 
@@ -55,7 +55,7 @@
 
 # Do NOT add quote
 set(KDEPIM_DEV_VERSION)
-set(RELEASE_SERVICE_VERSION "25.08.1")
+set(RELEASE_SERVICE_VERSION "25.08.2")
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
@@ -63,7 +63,7 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(AKONADI_VERSION "6.5.1")
+set(AKONADI_VERSION "6.5.2")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -76,9 +76,9 @@
         Gui
         Widgets
 )
-set(LIBMAILIMPORTER_VERSION "6.5.1")
-set(MAILCOMMON_LIB_VERSION "6.5.1")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.1")
+set(LIBMAILIMPORTER_VERSION "6.5.2")
+set(MAILCOMMON_LIB_VERSION "6.5.2")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.2")
 
 # Find KF6 package
 find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)

=== src/CMakeLists.txt ===
configure_file(mboximporter-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/mboximporter-version.h @ONLY)

set(mboximporter_SRCS
    main.cpp
    mboxmainwindow.cpp
    mboximporterinfogui.cpp
    mboximportwidget.cpp
    mboximportkernel.cpp
    mboxmainwindow.h
    mboximporterinfogui.h
    mboximportwidget.h
    mboximportkernel.h
)

ki18n_wrap_ui(mboximporter_SRCS
    ui/mboximportwidget.ui
)

add_executable(mboximporter ${mboximporter_SRCS})
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        mboximporter
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
target_link_libraries(
    mboximporter
    PRIVATE
        KPim6::AkonadiCore
        KPim6::IdentityManagementCore
        KPim6::MailImporterAkonadi
        KPim6::MailCommon
        KF6::I18n
        KF6::Crash
        KF6::IconThemes
)

install(
    TARGETS
        mboximporter
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(PROGRAMS org.kde.mboximporter.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== debian/changelog ===
mbox-importer (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:57:42 +0100

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.08.1~),
+               libakonadi-dev (>= 4:25.08.2~),
                libkf6config-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6service-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.08.1~),
-               libmailcommon-dev (>= 4:25.08.1~),
-               libmailimporter-dev (>= 4:25.08.1~),
+               libkidentitymanagement-dev (>= 25.08.2~),
+               libmailcommon-dev (>= 4:25.08.2~),
+               libmailimporter-dev (>= 4:25.08.2~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
